﻿@charset "UTF-8";
.ui-jqgrid {font-size:12px; }
.ui-jqgrid tr.jqgrow td {font-size:12px; }
.ui-jqgrid .ui-jqgrid-htable th div{font-size:12px;  }
.ui-widget-content { color: #000;     background: #fff; }

.cellWithoutBackground{
	cursor: default;
    display:block;
    background-image:none;
    margin-right:-2px;
    margin-left:-2px;
    padding:0 6px 0 0;
    overflow:hidden;
    word-break:break-all;
    WORD-WRAP:break-word;
    white-space: pre-wrap;
    line-height: normal;
}


.ui-widget-content .ui-state-default {
    background: none repeat scroll 0 0 #fff;
}

.ui-jqgrid .ui-jqgrid-htable th div{
	display:table-cell;
	vertical-align:middle;
	text-align: center;
	color: #000;
	line-height: 20px;
	
	font-family: Microsoft YaHei,Arial;
	font-size: 12px;
    font-weight: 400;
	height: 100%;
	width: 1000px;
	
	overflow: visible;
	white-space:normal;
}

.ui-jqgrid tr.jqgrow td {
	word-wrap:break-word;
	word-break:break-all;
	white-space: pre-wrap !important;
	height: auto;
	vertical-align:middle;
	line-height:20px;
	color: #000;
    font-family: "Microsoft Yahei",Arial; /*系统默认字体微软雅黑*/
    font-size: 12px;
    font-weight: 400;
    padding: 0 0 0 6px;
   /*  text-indent:-2px; */
}

.ui-jqgrid .ui-jqgrid-htable th{
	height: 26px;
	background: none repeat scroll 0 0 #f2f2f2;
	color: #000;
	font-family: Microsoft YaHei,Arial;
    font-size: 12px;
    font-weight: 400;
    
	vertical-align:middle;
	line-height:20px;
	text-align: center;
	border:1px solid #f2f2f2 !important;
}

.ui-th-column, .ui-jqgrid .ui-jqgrid-htable th.ui-th-column {
    text-align: left;
}

.ui-widget-content .ui-jqgrid-hdiv{
	background: #efefef;
	/* border-top: 1px solid #5b5b5b !important;
	border-bottom: 1px solid #5b5b5b !important; */
}

.ui-widget-content .ui-jqgrid-sdiv {
    background: #fff none repeat scroll 0 0;
    border-bottom: 1px solid #5b5b5b !important;
    border-top: 1px solid #5b5b5b !important;
}

.ck_border_top_black{
	/*border-top: 1px solid #5b5b5b !important;*/
	/* border-bottom: 1px solid #5b5b5b !important; */
}
.ck_border_bottom_black{
	/* border-bottom: 1px solid #5b5b5b !important; */
}

.altClass .ui-state-default{
	background: none repeat scroll 0 0 #fafafa
}


.ui-state-highlight .ui-state-default{
	background: #fff29f;	
}

.ui-state-hover .ui-state-default{
	background: #edf4fa;
} 
.altClass.ui-state-hover .ui-state-default{
	background: none repeat scroll 0 0 #fafafa
}

.ui-state-hover.ui-state-highlight .ui-state-default{
	background: #fff29f !important;
}

.ui-jqgrid tr.ui-row-ltr td {
    border-right: 0 none;
    text-align: left;
}
.ui-jqgrid tr.jqgrow td {
    /*border-bottom: 0 none;*/
    border-bottom: 1px solid #ccc;
}

.ui-th-column, .ui-jqgrid .ui-jqgrid-htable th.ui-th-column {
    border-right: 0 none;
}

.ui-jqgrid .ui-userdata{
	height: 26px;
	line-height: 26px;
}

.ui-jqgrid .ui-jqgrid-pager {
		height: 28px;
		border-top: 1px solid #a6c9e2;
		border-radius: 0;
}
	
.ui-jqgrid .ui-pg-table{
	background-color:#efefef;
	height: 26px;
	font-size: 12px;
    font-weight: 400;	
}

.grid-no-record {
	height: 26px;
	line-height: 26px;
	width: 100%;
	background-color: transparent;
	display: none;
	
	color: inherit;
    font-size: 13px;
    font-weight: 400;
    text-align: center;
    vertical-align: middle;
    /*border-bottom: 1px solid;*/
}

.grid-no-record table{
	height:20px;
	margin:0 auto;
	line-height: 20px;
}

.ui-state-default, .ui-widget-content .ui-state-default {
	font-family: "Microsoft YaHei",Helvetica,Arial,sans-serif;
    color: #000;
    font-weight: bold;
}

.ui-state-default a.ui-jqgrid-rowmore {
	text-decoration:underline；
}
/*grid sort icon begin*/
.ui-jqgrid .ui-icon-asc {
    height: 20px;
    margin-top: 0px;
}

.ui-jqgrid .ui-icon-asc.ui-state-disabled{
	display:none;
}

.ui-jqgrid .ui-icon-desc.ui-state-disabled{
	display:none;
}

.ui-jqgrid .ui-icon-desc {
    height: 20px;
    margin-top: 0px;    
}

.ui-state-default .ui-icon-triangle-1-n {
    background: url("./images/sort-asc.png") no-repeat scroll left center rgba(256, 256, 256, 256);
}
.ui-state-default .ui-icon-triangle-1-s {
    background: url("./images/sort-desc.png") no-repeat scroll left center rgba(256, 256, 256, 256);
}

/*grid sort icon end*/

.ui-jqgrid tr.footrow td {
	border-top: none;
	border-right: none;
	height: 26px;
	line-height: 26px;
}

.ui-state-highlight, .ui-widget-content .ui-state-highlight {
/*     border: 1px solid #fff29f !important;
 */    background: #fff29f !important;
    color: #363636 !important;
}
.ui-state-hover:not(.ui-state-highlight), .ui-widget-content .ui-state-hover:not(.ui-state-highlight), .ui-state-focus:not(.ui-state-highlight), .ui-widget-content .ui-state-focus:not(.ui-state-highlight) {
    /*border: 1px solid #edf4fa; */
    background: #edf4fa;
    font-weight: bold;
    color: #1d5987;
/*     background: #fff29f;
    font-weight: bold;
    color: #363636; */
    outline: none;
}
.ui-state-hover, .ui-state-highlight {
	border: none !important;
}

.ui-widget-content.jqfoot {
	font-size: 14px;
	background: #d6e9fa;
	height: 30px;
	line-height: 30px;
	
}
.ui-widget-content.jqfoot td {
	border: none !important;
}
.gridfiledownload{
	margin-right:10px;
	margin-left:10px;
	color: #5fb3f8!important;
}
.gridfileread{
	color: #5fb3f8!important;
}

.ui-jqgrid .ui-jqgrid-pager .ui-pg-button {
    position: relative;
    float: left;
    padding: 0;
    margin: 0 1px;
    line-height: 14px;
    text-decoration: none;
    background-color: #fff;
    borer-radius: 0;
    -webkit-border-radius: 0;
        height: 24px;
    min-width: 19px !important;
    text-align: center;
    color: #333;
    border: 1px solid #979797;
    width: 24px;
    text-align: center;
    font-size:  12px !important;
        display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
}

.ui-jqgrid .ui-jqgrid-pager .ui-pg-selbox{
    position: relative;
    float: left;
    padding: 0;
        margin: 0 2px 1px 2px;
    height: 22px;
    line-height: 22px;
    color: #333;
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #979797;
    font-size: 12px;
}
.ui-jqgrid .ui-jqgrid-pager .ui-pg-input{
padding: 0;
        margin:0 2px 2px;
    height: 22px;
    line-height: 22px;
    color: #428bca;
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #979797;
    text-align: center;
}
.ui-jqgrid .ui-jqgrid-pager .ui-pg-button:not(.ui-state-disabled):hover, .ui-jqgrid .ui-jqgrid-pager .ui-pg-button:not(.ui-state-disabled):focus, .ui-jqgrid .ui-jqgrid-pager .ui-pg-button:not(.ui-state-disabled).active
,.ui-pg-index:not(.ui-state-disabled):hover,.ui-pg-index:not(.ui-state-disabled):focus,.ui-pg-index:not(.ui-state-disabled):active
{
    z-index: 2;
    color: #fff !important;
    cursor: pointer;
    background: none;
    background-color: #60b4fa !important;
    border-color: #60b4fa !important;
} 
.ui-jqgrid .ui-jqgrid-pager .ui-pg-index {
    position: relative;
    float: left;
    margin: 0 2px 2px 2px;
    color: #333;
    min-width: 22px;
    padding: 0px 2px;
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #979797;
    borer-radius: 0;
    -webkit-border-radius: 0;
        height: 22px !important;
        line-height: 22px impotant;
            font-size: 12px;
            display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
}
.ui-jqgrid .ui-jqgrid-pager .ui-pg-ellipsis {
    position: relative;
    float: left;
}

.ui-jqgrid .ui-jqgrid-bdiv::-webkit-scrollbar
{
	width: 6px;
	height: 6px;
	background-color: #F5F5F5;
}
.ui-jqgrid .ui-jqgrid-view::-webkit-scrollbar
{
	width: 6px;
	height: 6px;
	background-color: #F5F5F5;
}

.ui-jqgrid .ui-pg-button { height: 22px !important;}
.ui-pg-flbuttons { height: 22px !important; }

.ui-jqgrid .ui-pg-flbuttons span {
    display: block;
    margin: 1px;
}
.ui-pg-jump {
	    margin: 0 2px 1px 2px !important;
	        width: auto !important;
    padding: 0px 6px !important;
}
.ui-jqgrid .ui-pg-table{
	 padding-bottom:0; 
}
.ui-jqgrid tr.jqgrow > td > input[type=checkbox]{
    display: flex;
    vertical-align: middle;
}
.ui-jqgrid .cbox {
	display: flex;
    vertical-align: middle;
	width: 15px; 
	height: 15px;
}
.ui-pg-prev {
	padding: 0 6px !important;
    width: auto !important;
    margin-right: 4px !important;
}
.ui-pg-next {
	padding: 0 6px !important;
    width: auto !important;
    margin-left: 4px !important;
}

.ui-pg-index.active {
    background: #60b4fa none repeat scroll 0 0 !important;
    border-color:  #60b4fa !important;
    color: #fff !important;
}

.ui-pg-buttons, .ui-pg-selnum {
	height: 24px !important; 
	line-height: 24px !important;
}
.ui-pg-buttons > .ui-pg-index {
	margin-bottom: 2px !important;
}
.coldisabled {
	color: gray !important;
	pointer-events: none;
}
.ui-swimlane .ui-jqgrid-hdiv, .ui-jqgrid-bdiv{
	background: #fff none repeat scroll 0 0 !important;
}

.ui-jqgrid .ui-jqgrid-htable th.ui-swimlane div{
	color: #444444;
	font-weight: 580;
	font-size: 16px !important;
}
.ui-jqgrid tr.jqgfirstrow td.ui-swimlane{
	border-right-width: 0px;
}

.ui-jqgrid .ui-swimlane .panel
{
	margin: 10px 20px;
}